org.apache.felix.ipojo.manipulator.spi

## Interface Predicate

    public interface Predicate

A Predicate is executed with a given `BindingContext` and returns true if the `matches(BindingContext)` operation is a success. It returns false otherwise. Predicates can be used to determine if the traversed element (can be found on `BindingContext`) matches some properties.

Author:
  Felix Project Team
See Also:
  `Predicates`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches(BindingContext context)` Returns true if the context is matching the predicate.

### Method Detail

#### matches

    boolean matches(BindingContext context)

Returns true if the context is matching the predicate.

Parameters:
  `context` - Binding information source
Returns:
  true if the context is matching the predicate, false otherwise.